#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;

    int niz[n];

    for (int i=0;i<n;i++)
    {
        cin>>niz[i];
    }

    sort(niz,niz+n);

    int donja_granica=0;
    int gornja_granica=n-1;

    int i=0;

    while (donja_granica!=gornja_granica)
    {
        if (k%2==0)
        {
            if (i%2==0)
            {
                if (niz[donja_granica]<niz[gornja_granica])
                {
                    niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                    donja_granica++;
                }

                else
                {
                    niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                    gornja_granica--;
                }
            }

            else
            {
                if (niz[donja_granica]<niz[gornja_granica])
                {
                    niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                    gornja_granica--;
                }

                else
                {
                    niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                    donja_granica++;
                }
            }
        }

        else
        {
            if (i%2==0)
            {
                if (niz[donja_granica]<niz[gornja_granica])
                {
                    niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                    gornja_granica--;
                }

                else
                {
                    niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                    donja_granica++;
                }
            }

            else
            {
                if (niz[donja_granica]<niz[gornja_granica])
                {
                    niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                    donja_granica++;
                }

                else
                {
                    niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                    gornja_granica--;
                }
            }
        }

        i++;
    }

    cout<<niz[donja_granica];
}